def largeur(self):
    F = []
    L = []

    # Ajouter la racine et l'objet courant à L et F respectivement
    L.append(self.root)
    F.append(self)

    # Tant qu'il y a des éléments dans F
    while F != []:
        # Prendre le premier élément de F
        current = F.pop(0)

        # Ajouter tous les enfants à L et F
        for child in current.enfants:
            L.append(child.root)
            F.append(child)

    return L
